Native Access 3.5.0 need Rosetta for NTKDaemon, is it normal?

Options
Electro Clash
Electro Clash Member Posts: 5 Member

Hello, I bought a new Mac yesterday with M2 Pro and while trying to install Native Access last version 3.5.0 it asks to install Rosetta for NTK Daemon.

Is it normal?

This winter I bought a Mac Studio with M1 Max, but I didn't faced this request.

Maybe I was starting from an older 2.x version on Native Access that was natively compatible?

Best Answer

  • Hayo_NI
    Hayo_NI Product Team Posts: 285 mod
    Answer ✓
    Options

    Hey, PM of NA here. Native Access has since gotten to 3.5.0, so make sure to update to that.

    Regarding Rosetta, in 3.2.0 we tried removing Rosetta support, but unfortunately we found out that our installer binaries contained support for Rosetta, and we realized that this was the case for all traditional product installers too. We reverted the Rosetta deprecation and strategized on what's next. We're going to try again end of year to deprecate it.

Answers

  • Hayo_NI
    Hayo_NI Product Team Posts: 285 mod
    Answer ✓
    Options

    Hey, PM of NA here. Native Access has since gotten to 3.5.0, so make sure to update to that.

    Regarding Rosetta, in 3.2.0 we tried removing Rosetta support, but unfortunately we found out that our installer binaries contained support for Rosetta, and we realized that this was the case for all traditional product installers too. We reverted the Rosetta deprecation and strategized on what's next. We're going to try again end of year to deprecate it.

  • Electro Clash
    Electro Clash Member Posts: 5 Member
    Options

    Hello Hayo, thanks for your support.

    Yes, downloading from NI website the installer it is "proposed" only the last 3.5.0 version a I told.

    So you confirm that it is normal.

    And what if I have an old version of Native Access Installer (2.x. the version "1" I think)?

    I ask this because I still have that installer and on November I used it (it has "old NI logo") on an other M1 computer. This computer is now updated step by step on the last 3.5.0, but I'm pretty sure it didn't asked Rosetta during the first installation on November, am I wrong?

    Thank you.

  • Hayo_NI
    Hayo_NI Product Team Posts: 285 mod
    Options

    Likely this implies you already have Rosetta 2 on your device.

Back To Top